Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 643982 - app-accessibility/sphinxbase-0.8 lacks dependency on bison ( configure: error: You need to install bison )
Summary: app-accessibility/sphinxbase-0.8 lacks dependency on bison ( configure: error...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Accessibility Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-09 03:55 UTC by Kent Fredric (IRC: kent\n)
Modified: 2018-01-09 03:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-01-09 03:55:36 UTC
Bison is usually not installed on my system due to doing bdep-cleaning depcleans.

checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... (cached) yes
checking dependency style of x86_64-pc-linux-gnu-gcc... (cached) none
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C99... none needed
checking for x86_64-pc-linux-gnu-gcc option to accept ISO Standard C... (cached) none needed
checking for bison... no
configure: error: You need to install bison


...

configure:5332: checking for bison
configure:5360: result: no
configure:5370: error: You need to install bison

Manually installing bison is sufficient to make configure pass and compile.